# Nested YAML Configuration File
# Hierarchical configuration for a web application

server:
  host: "0.0.0.0"
  port: 443
  ssl:
    enabled: true
    certificate: "/etc/ssl/certs/app.crt"
    private_key: "/etc/ssl/private/app.key"
    protocols:
      - TLSv1.2
      - TLSv1.3

database:
  host: "db.internal.example.com"
  port: 5432
  name: "webapp_production"
  credentials:
    username: "webapp_user"
    password: "s3cur3_p@ssw0rd"
    pool_size: 20
    timeout: 30

logging:
  level: "warning"
  file: "/var/log/webapp/application.log"
  rotate:
    enabled: true
    max_size: "100MB"
    max_files: 10
    compress: true